Index: /extensions/BuildPWGPicture/BuildPWGPicture.Params.txt
===================================================================
--- /extensions/BuildPWGPicture/BuildPWGPicture.Params.txt	(revision 3321)
+++ /extensions/BuildPWGPicture/BuildPWGPicture.Params.txt	(revision 3321)
@@ -0,0 +1,160 @@
+;*************************************************************************
+;* WARNING! IT'S IMPORTANT TO DEFINE CORRECTLY VALUE OF:
+;*   o DirXnView
+;*   o DirAlbum
+;*   o DirFTP
+;* Other parameters must be keep initial value
+;*************************************************************************
+;* ATTENTION! IL EST IMPORTANT DE DEFINIR CORRECTEMENT LES VALEURS DE:
+;*   o DirXnView
+;*   o DirAlbum
+;*   o DirFTP
+;* Les autres parmètres peuvent être laissés avec leur valeurs initiales
+;*************************************************************************
+
+; Defined parameters
+; Paramètres définis
+
+;*************************************************************************
+;* GENERAL
+;*************************************************************************
+
+; Installation Directory of xnview
+; Répertoire d'installation de xnview
+DirXnView=C:\Program Files\XnView
+
+; Directory of Pictures Album
+; Répertoire des photos de l'album
+DirAlbum=F:\Album
+
+; Directory of treated pictures for FTP
+; Répertoire où vont se retrouver les images traitées
+DirFTP=C:\Docume~1\Ruben\Bureau\FTP\test
+
+; Global Convert Options
+;   -i       : Entrelacé GIF / Progressif JPEG
+;   -opthuff : Optimisation par la table d'Huffman 
+; Option Global de convertion
+;   -i       : Interlaced GIF / Progressive JPEG
+;   -opthuff : Optimize Huffman Table
+GlobalCvtOpt=-opthuff -i
+
+
+; JPEG File Extention
+; Extension des fichiers JPEG
+ExtJPG=.jpg
+; GIF File Extention
+; Extension des fichiers GIF
+ExtGIF=.GIF
+
+
+; Delete destinations directories ? (Y = Yes / N = No)
+; Suppression des répertoires destinations ? (Y = Oui / N = Non)
+DelDestDir=y
+
+;*************************************************************************
+;* High definition pictures
+;* Images en haute définition
+;*************************************************************************
+
+; Copy or convert high definition Pictures? (Y = Copy / N = Convert)
+; Copie ou convertion des images en haute definition? (Y = Copie / N = Convertion)
+HDCopy=Y
+
+; Keep directory of high definition Pictures? (Y = Keep / N = Delete directory)
+; Conserve le répertoires des images en haute definition? (Y = Conserve / N = Supprime le répertoires)
+HDKeep=Y
+
+; Format of picture name
+;   %: Same name
+;   toto#: Rename pictures to toto1.jpg, toto2.jpg, ...
+;   titi###: Rename pictures to titi001.jpg, titi002.jpg, ...
+; Format du nom de l'image
+;   %: Same name
+;   toto#: Renomme les images en toto1.jpg, toto2.jpg, ...
+;   titi###: Renomme les images en titi001.jpg, titi002.jpg, ...
+HDNewName=%
+
+; Quality compression of high definition pictures
+; Qualité de la compression des images en haute définition
+HDQuality=100
+
+; Max Width of high definition pictures
+; Max Largeur des images en haute définition
+HDMaxW=0
+
+; Min Height of high definition pictures
+; Max Hauteur des images en haute définition
+HDMaxH=0
+
+; Convert options of high definition pictures
+; Option de la convertion des images en haute définition
+HDCvtOpt=
+
+; File Name of AddOn file to execute. The parameters pass to the file are the high directory full name and HIGH
+; Nom du fichier AddOn à exécuter. Les paramètres passés au fichier sont le nom complet du répertoire high et HIGH
+HDAddOnFile=HDAddOnFile.cmd
+
+
+
+
+
+;*************************************************************************
+;* Normal pictures
+;* Images normales
+;*************************************************************************
+
+; Quality compression of normal pictures
+; Qualité de la compression des images normales
+NormalQuality=80
+
+; Max Width of normal pictures
+; Max Largeur des images normales
+NormalMaxW=0
+
+; Min Height of normal pictures
+; Max Hauteur des images normales
+NormalMaxH=512
+
+; Convert options of normal pictures
+; Option de la convertion des imagesnormales
+NormalCvtOpt=
+
+; File Name of AddOn file to execute. The parameters pass to the file are the normal directory full name and NORMAL
+; Nom du fichier AddOn à exécuter. Les paramètres passés au fichier sont le nom complet du répertoire normal et NORMAL
+NormalAddOnFile=NormalAddOnFile.cmd
+
+
+
+
+
+;*************************************************************************
+;* Thumbnails
+;* Miniatures
+;*************************************************************************
+
+; Thumbnails prefix
+; Préfixe des miniatures
+TNPrefix=TN-
+
+; Quality compression of thumbnails
+; Qualité de la compression des miniatures
+TNQuality=80
+
+; Max Width of thumbnails
+; Max Largeur des miniatures
+TNMaxW=128
+
+; Min Height of thumbnails
+; Max Hauteur des miniatures
+TNMaxH=128
+
+; Convert options of thumbnails
+;   -rmeta  : Supprme les  Metadatas (EXIF/IPTC/...)
+; Option de la convertion des miniatures
+;   -rmeta  : Remove Metadata (EXIF/IPTC/...)
+TNCvtOpt=-rmeta
+
+; File Name of AddOn file to execute. The parameters pass to the file are the thumbnails directory full name and THUMBNAIL
+; Nom du fichier AddOn à exécuter. Les paramètres passés au fichier sont le nom complet du répertoire des miniatures et THUMBNAIL
+TNAddOnFile=TNAddOnFile.cmd
Index: /extensions/BuildPWGPicture/BuildPWGPicture.cmd
===================================================================
--- /extensions/BuildPWGPicture/BuildPWGPicture.cmd	(revision 3321)
+++ /extensions/BuildPWGPicture/BuildPWGPicture.cmd	(revision 3321)
@@ -0,0 +1,290 @@
+@echo off
+rem ~ +-----------------------------------------------------------------------+
+rem ~ | BuildPWGPicture - a Windows batch command for PWG                     |
+rem ~ | Copyright (C) 2007-2008 Ruben ARNAUD - rub@phpwebgallery.net          |
+rem ~ +-----------------------------------------------------------------------+
+rem ~ | Version: 1.0.6.0                                                      |
+rem ~ +-----------------------------------------------------------------------+
+rem ~ | This program is free software; you can redistribute it and/or modify  |
+rem ~ | it under the terms of the GNU General Public License as published by  |
+rem ~ | the Free Software Foundation                                          |
+rem ~ |                                                                       |
+rem ~ | This program is distributed in the hope that it will be useful, but   |
+rem ~ | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+rem ~ | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+rem ~ | General Public License for more details.                              |
+rem ~ |                                                                       |
+rem ~ | You should have received a copy of the GNU General Public License     |
+rem ~ | along with this program; if not, write to the Free Software           |
+rem ~ | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+rem ~ | USA.                                                                  |
+rem ~ +-----------------------------------------------------------------------+
+
+set DirName=
+rem ~ parameter "~" remove """
+set argv1=%~1
+if not defined argv1 goto :not_argv1_dirname
+if "%argv1:~0,1%" == "-" goto :not_argv1_dirname
+set DirName=%argv1%
+shift /1
+:not_argv1_dirname
+
+rem ~ %* don't change with shift
+rem ~ on dos, there are only 9 max args
+set all_args=%1 %2 %3 %4 %5 %6 %7 %8 %9
+
+rem ~ undefined parameters
+set DirSrc=
+set DirDest=
+set ParFile=
+
+rem ~ Default parameters
+set DirXnView=C:\Program Files\XnView
+set DirAlbum=F:\Album
+set DirFTP=C:\Docume~1\Ruben\Bureau\FTP
+set GlobalCvtOpt=-opthuff -i
+set ExtJPG=.JPG
+set ExtGIF=.GIF
+set HDCopy=Y
+set HDKeep=Y
+set HDNewName=%
+set HDQuality=80
+set HDMaxW=0
+set HDMaxH=0
+set HDCvtOpt=
+set NormalQuality=80
+set NormalMaxW=0
+set NormalMaxH=350
+set NormalCvtOpt=
+set TNPrefix=TN-
+set TNQuality=80
+set TNMaxW=128
+set TNMaxH=128
+set TNCvtOpt=-rmeta
+
+rem ~ Read parameters
+set ParamFile=%~d0%~p0%~n0.Params.txt
+for /F "eol=; tokens=1,2* delims==" %%i in (%ParamFile%) do @set %%i=%%j
+
+rem ~ Loop on argv
+:loop_on_argv
+rem ~ parameter "~" remove """
+set argv1=%~1
+if not defined argv1 goto :not_argv1
+rem ~ Bad Arguments
+if not "%argv1:~0,1%" == "-" goto :usage
+set opt_name=%argv1:~1%
+shift /1
+rem ~ parameter "~" remove """
+set argv1=%~1
+rem ~ Bad Arguments
+if not defined argv1 goto :usage
+rem ~ Override parameters
+set opt_value=%argv1%
+shift /1
+set %opt_name%=%opt_value%
+goto :loop_on_argv
+:not_argv1
+
+rem ~ Override parameters - Read parfile
+if defined ParFile (for /F "eol=; tokens=1,2* delims==" %%i in (%ParFile%) do @set %%i=%%j)
+
+rem ~ if not Dirname and DirSrc and DirDest, done all directories
+if not defined DirName (
+  if not defined DirSrc (
+    if not defined DirDest goto :all_directories
+  )
+  rem ~ if DirSrc or DirDest not defined
+  rem ~ Bad Arguments
+  if not defined DirSrc goto :usage
+  if not defined DirDest goto :usage
+) else (
+  rem ~ if DirSrc defined
+  rem ~ Bad Arguments
+  if defined DirSrc goto :usage
+)
+
+
+rem ~ Define directory name
+rem ~ Expanded path contains short names only will defined after the directory was created
+if not defined DirSrc set DirSrc=%DirAlbum%\%DirName%
+if not defined DirDest set DirDest=%DirFTP%\%DirName%
+
+set DirPict=%DirDest%
+set DirHigh=%DirPict%\pwg_high
+set DirTN=%DirPict%\thumbnail
+
+rem ~ Directory name are convert to expanded path contains short names only
+rem ~ XnView don't like "dir name" with double quote
+for /F "tokens=*" %%i in ("%DirAlbum%") do set ExpandedDirAlbum=%%~si
+for /F "tokens=*" %%i in ("%DirFTP%") do set ExpandedDirFTP=%%~si
+
+echo.
+echo *** %DirSrc% ***
+
+rem ~ Check directory source
+if not exist "%DirSrc%" (
+echo.
+echo Error: Source directories don't exist
+echo.
+goto :usage
+)
+
+rem ~ Check directory Destination
+if not exist "%DirPict%" mkdir "%DirPict%"
+
+rem ~ Directory name are convert to expanded path contains short names only
+rem ~ XnView don't like "dir name" with double quote
+for /F "tokens=*" %%i in ("%DirSrc%") do set ExpandedDirSrc=%%~si
+for /F "tokens=*" %%i in ("%DirPict%") do set ExpandedDirPict=%%~si
+
+if /I "%ExpandedDirSrc%" == "%ExpandedDirPict%" (
+echo.
+echo Error: Source and destination directories cannot be same
+echo.
+goto :usage
+)
+
+if /I not %DelDestDir% == Y goto :end_DelDestDir
+echo.
+echo Deleting destination directories
+if exist "%DirPict%\*.*" del /Q /F /S "%DirPict%\*.*"
+if exist "%DirPict%" rmdir /Q /S "%DirPict%"
+:end_DelDestDir
+
+if /I not %HDCopy% == Y goto :convert_HD
+echo.
+echo Creating HD Pictures
+if exist "%DirSrc%\*%ExtJPG%" xcopy /F /R /I /H /C /Y "%DirSrc%\*%ExtJPG%" "%DirHigh%\*%ExtJPG%"
+if exist "%DirSrc%\*%ExtGIF%" xcopy /F /R /I /H /C /Y "%DirSrc%\*%ExtGIF%" "%DirHigh%\*%ExtGIF%"
+
+
+rem ~ -o filename       : Output filename
+rem ~ Use # to specify position of numeric enumerator
+rem ~ Use % to specify source filename
+rem ~ Use $ to specify source folder
+
+rem ~ -out format       : Output format name
+
+rem ~ -c value          : Compression number (default : 0)
+rem ~ -q value          : JPEG/PNG/FPX/WIC quality (default : 100)
+
+rem ~ -opthuff
+
+rem ~ -resize w h      : Scale width-height
+rem ~ w h can be percent (ex: -resize 100% 200%)
+
+rem ~ -i                : Interlaced GIF / Progressive JPEG
+
+:convert_HD
+echo.
+echo Convert HD Pictures
+if not exist "%DirHigh%" mkdir "%DirHigh%"
+rem ~ Directory name are convert to expanded path contains short names only
+rem ~ XnView don't like "dir name" with double quote
+for /F "tokens=*" %%i in ("%DirHigh%") do set ExpandedDirHigh=%%~si
+set HD_CVT_OPT=-q %HDQuality% %GlobalCvtOpt% %HDCvtOpt% -rtype linear -ratio -resize %HDMaxW% %HDMaxH%
+rem ~ Force Conversion for TIF
+if exist "%DirSrc%\*.TIF" "%DirXnView%\nconvert.exe" %HD_CVT_OPT% -out jpeg -o %ExpandedDirHigh%\%HDNewName%.WasTIF%ExtJPG% %ExpandedDirSrc%\*.TIF
+if %HDCopy% == Y goto :end_convert_HD
+if exist "%DirSrc%\*%ExtJPG%" "%DirXnView%\nconvert.exe" %HD_CVT_OPT% -out jpeg -o %ExpandedDirHigh%\%HDNewName%%ExtJPG% %ExpandedDirSrc%\*%ExtJPG%
+if exist "%DirSrc%\*%ExtGIF%" "%DirXnView%\nconvert.exe" %HD_CVT_OPT% -out gif -o %ExpandedDirHigh%\%HDNewName%%ExtGIF%  %ExpandedDirSrc%\*%ExtGIF%
+:end_convert_HD
+rem ~ Execute high addon
+if exist "%HDAddOnFile%" (
+echo Execute "%HDAddOnFile%"
+call "%HDAddOnFile%" %ExpandedDirHigh% HIGH
+)
+
+echo.
+echo Creating Normal Pictures
+set NO_CVT_OPT=-q %NormalQuality% %GlobalCvtOpt% %NormalCvtOpt% -rtype linear -ratio -resize %NormalMaxW% %NormalMaxH%
+if exist "%DirHigh%\*%ExtJPG%" "%DirXnView%\nconvert.exe" %NO_CVT_OPT% -out jpeg -o %ExpandedDirPict%\%%%ExtJPG% %ExpandedDirHigh%\*%ExtJPG%
+if exist "%DirHigh%\*%ExtGIF%" "%DirXnView%\nconvert.exe" %NO_CVT_OPT% -out gif  -o %ExpandedDirPict%\%%%ExtGIF% %ExpandedDirHigh%\*%ExtGIF%
+rem ~ Execute normal addon
+if exist "%NormalAddOnFile%" (
+echo Execute "%NormalAddOnFile%"
+call "%NormalAddOnFile%" %ExpandedDirPict% NORMAL
+)
+
+
+echo.
+echo Creating thumbnail Pictures
+if not exist "%DirTN%" mkdir "%DirTN%"
+rem ~ Directory name are convert to expanded path contains short names only
+rem ~ XnView don't like "dir name" with double quote
+for /F "tokens=*" %%i in ("%DirTN%") do set ExpandedDirTN=%%~si
+set TN_CVT_OPT=-q %TNQuality% %GlobalCvtOpt% %TNCvtOpt% -rtype linear -ratio -resize %TNMaxW% %TNMaxH%
+if exist "%DirHigh%\*%ExtJPG%" "%DirXnView%\nconvert.exe" %TN_CVT_OPT% -out jpeg -o %ExpandedDirTN%\%TNPrefix%%%%ExtJPG% %ExpandedDirHigh%\*%ExtJPG%
+if exist "%DirHigh%\*%ExtGIF%" "%DirXnView%\nconvert.exe" %TN_CVT_OPT% -out gif  -o %ExpandedDirTN%\%TNPrefix%%%%ExtGIF% %ExpandedDirHigh%\*%ExtGIF%
+rem ~ Execute thumbnail addon
+if exist "%TNAddOnFile%" (
+echo Execute "%TNAddOnFile%"
+call "%TNAddOnFile%" %ExpandedDirTN% THUMBNAIL
+)
+
+
+echo.
+echo Creating index.php
+if not exist "%DirAlbum%\index.php" goto :noindex
+xcopy /F /R /I /D /H /C /Y "%DirAlbum%\index.php" "%DirPict%\"
+xcopy /F /R /I /D /H /C /Y "%DirAlbum%\index.php" "%DirTN%\"
+xcopy /F /R /I /D /H /C /Y "%DirAlbum%\index.php" "%DirHigh%\"
+goto :end_index
+:noindex
+echo No file "%DirAlbum%\index.php" =^> no copies
+goto :end_index
+:end_index
+
+echo.
+echo Keeping or deleting HD directory
+if /I not %HDKeep% == N goto :keep_HD
+if exist "%DirHigh%\*.*" del /S /Q /F "%DirHigh%\*.*"
+if exist "%DirHigh%" rmdir /Q "%DirHigh%"
+:keep_HD
+
+goto :end
+
+:all_directories
+echo.
+echo *************************************************************
+echo * Apply %~n0 for all directories of %DirAlbum%
+echo *************************************************************
+echo.
+pause
+for /F "tokens=*" %%i in ('dir /B /A:D "%DirAlbum%"') do cmd /c %0 "%%i" %all_args%
+
+
+goto :end
+
+:usage
+echo Error Bad Parameter
+echo Syntax:
+echo   - All directories: %0 [-options] [-ParFile ^<File Name^>]
+echo   - Selected Directory: %0 ^<Short Directory Name^> [-DirDest ^<Full Directory Path^>] [-options] [-ParFile ^<File Name^>]
+echo   - Selected Directories src/dest: %0 -DirSrc ^<Full Directory Path^> -DirDest ^<Full Directory Path^> [-options] [-ParFile ^<File Name^>]
+echo.
+echo Key:
+echo   - ^<Short Directory Name^> : Directory on Album directory
+echo   - -DirSrc ^<Full Directory Path^> : Source directory
+echo     Override computed Album directory name
+echo     Cannot be used with ^<Short Directory Name^>
+echo   - -DirDest ^<Full Directory Path^> : Destination directory
+echo     Override computed FTP directory name
+echo   - [-options] can be composed of all parameters defined in %ParamFile%
+echo     Override parameters defined in %ParamFile%
+echo     Each option is composed with 2 line arguments -^<parameter name^> and ^<parameter value^>
+echo     Override before [-ParFile ^<File Name^>]
+echo   - [-ParFile ^<File Name^>] : Full name of parameters file
+echo     Override parameters defined in %ParamFile%
+echo     Override after [-options]
+echo.
+echo Examples:
+echo   %0
+echo   %0 -HDKeep N -TNQuality 70
+echo   %0 20050816
+echo   %0 20050816 -HDKeep N -TNQuality 70
+echo   %0 20050816 -DirDest c:\temp\FTP -HDKeep N -TNQuality 70
+echo   %0 -DirSrc c:\temp\test -DirDest c:\temp\testII -HDKeep N -TNQuality 70
+
+:end
Index: /extensions/BuildPWGPicture/COPYING
===================================================================
--- /extensions/BuildPWGPicture/COPYING	(revision 3321)
+++ /extensions/BuildPWGPicture/COPYING	(revision 3321)
@@ -0,0 +1,345 @@
+		    GNU GENERAL PUBLIC LICENSE
+		       Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+                       59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+			    Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+License is intended to guarantee your freedom to share and change free
+software--to make sure the software is free for all its users.  This
+General Public License applies to most of the Free Software
+Foundation's software and to any other program whose authors commit to
+using it.  (Some other Free Software Foundation software is covered by
+the GNU Library General Public License instead.)  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+this service if you wish), that you receive source code or can get it
+if you want it, that you can change the software or use pieces of it
+in new free programs; and that you know you can do these things.
+
+  To protect your rights, we need to make restrictions that forbid
+anyone to deny you these rights or to ask you to surrender the rights.
+These restrictions translate to certain responsibilities for you if you
+distribute copies of the software, or if you modify it.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must give the recipients all the rights that
+you have.  You must make sure that they, too, receive or can get the
+source code.  And you must show them these terms so they know their
+rights.
+
+  We protect your rights with two steps: (1) copyright the software, and
+(2) offer you this license which gives you legal permission to copy,
+distribute and/or modify the software.
+
+  Also, for each author's protection and ours, we want to make certain
+that everyone understands that there is no warranty for this free
+software.  If the software is modified by someone else and passed on, we
+want its recipients to know that what they have is not the original, so
+that any problems introduced by others will not reflect on the original
+authors' reputations.
+
+  Finally, any free program is threatened constantly by software
+patents.  We wish to avoid the danger that redistributors of a free
+program will individually obtain patent licenses, in effect making the
+program proprietary.  To prevent this, we have made it clear that any
+patent must be licensed for everyone's free use or not licensed at all.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
+
+
+	    How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+    Copyright (C) <year>  <name of author>
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+
+Also add information on how to contact you by electronic and paper mail.
+
+If the program is interactive, make it output a short notice like this
+when it starts in an interactive mode:
+
+    Gnomovision version 69, Copyright (C) year name of author
+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, the commands you use may
+be called something other than `show w' and `show c'; they could even be
+mouse-clicks or menu items--whatever suits your program.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the program, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+
+  <signature of Ty Coon>, 1 April 1989
+  Ty Coon, President of Vice
+
+This General Public License does not permit incorporating your program into
+proprietary programs.  If your program is a subroutine library, you may
+consider it more useful to permit linking proprietary applications with the
+library.  If this is what you want to do, use the GNU Library General
+Public License instead of this License.
Index: /extensions/BuildPWGPicture/LisezMoi.txt
===================================================================
--- /extensions/BuildPWGPicture/LisezMoi.txt	(revision 3321)
+++ /extensions/BuildPWGPicture/LisezMoi.txt	(revision 3321)
@@ -0,0 +1,101 @@
+Fonctionnalité:
+===============
+  A partir d'un répertoire source, cet outil permet de créer les miniatures, les images normales, les images haute définition, les fichiers index.php dans une structure prête pour le transfert par FTP.
+
+  XnView doit être installé.
+
+  Les +:
+    - traitements de masse
+    - utilisation d'autres utilitaires en ligne de commande
+
+Installation:
+=============
+  1: Installation nécessaire de XnView version Complete (Plugins & NConvert) http://xnview.com/
+  2: Copier les fichiers BuildPWGPicture.cmd et BuildPWGPicture.Params.txt dans le répertoire de votre choix
+  3: Modifier les paramétres par défault dans le fichier BuildPWGPicture.Params.txt
+    => il est nécessaire de bien préciser les 3 paramètres suivants:
+         o DirXnView
+         o DirAlbum
+         o DirFTP
+       car il représente la source et la destination des images à constuire
+  4: Copier le fichier index.php dans le répertoire DirAlbum.
+     S'il existe un fichier index.php dans le répertoire DirAlbum, il sera copié dans chaque répertoire
+     Ce fichier permet de ne pas lister le contenu des répertoires.
+
+Usage:
+======
+  Syntaxe:
+    - Tous les répertoires: BuildPWGPicture [-options] [-ParFile <Nom du fichier>]
+    - Répertoire sélectionné: BuildPWGPicture <Nom court du répertoire> [-DirDest <Chemin complet du répertoire>] [-options] [-ParFile <Nom du fichier>]
+    - Répertoires sélectionnés src/dest: BuildPWGPicture -DirSrc <Chemin complet du répertoire> -DirDest <Chemin complet du répertoire> [-options] [-ParFile <Nom du fichier>]
+
+  Clef:
+    - <Nom court du répertoire> : Répertoire du directory Album
+    - -DirSrc <Chemin complet du répertoire> : Répertoire source
+      Surcharge le nom calculé du répertoire Album
+      Ne peut pas être utilisé avec <Nom court du répertoire>
+    - -DirDest <Chemin complet du répertoire> : Répertoire destination
+      Surcharge le nom calculé du répertoire FTP
+    - [-options] peut être composé par tous les paramètres définis dans BuildPWGPicture.Params.txt
+      Surchage les paramètres définis dans BuildPWGPicture.Params.txt
+      Chaque option est composée avec 2 arguments en ligne -<nom du paramètre> and <valeur du paramètre>
+      Surcharge avant [-ParFile <Nom du fichier>]
+    - [-ParFile <Nom du fichier>] : Nom complet du fichiers de paramètres
+      Surchage les paramètres définis dans BuildPWGPicture.Params.txt
+      Surcharge après [-options]
+
+  Exemples:
+    BuildPWGPicture 
+    BuildPWGPicture -HDKeep N -TNQuality 70
+    BuildPWGPicture 20050816
+    BuildPWGPicture 20050816 -HDKeep N -TNQuality 70
+    BuildPWGPicture 20050816 -DirDest c:\temp\FTP -HDKeep N -TNQuality 70
+    BuildPWGPicture -DirSrc c:\temp\test -DirDest c:\temp\testII -HDKeep N -TNQuality 70
+
+Fonctionnement général:
+=======================
+  Les images sont copiées ou coverties par XnView du réperoire source vers le répertoire destination high.
+  Les images sont coverties par XnView du réperoire destination high vers le répertoire destination "normal".
+  Les images sont coverties par XnView du réperoire destination high vers le répertoire destination thumbnail.
+  Le fichier index.php est copié dans tous les répertoires "FTP", ce fichier évite de pouvoir lister le contenu par n'importe qui.
+  Les images du répertoire destination high peuvent être supprimées. (Par défaut, les fichiers ne sont pas supprimés)
+  Différentes options de convertion ou de traitement sont possibles ainsi que l'exécution de AddOn à chaque étape.
+
+Exemples:
+=========
+  Soit:
+    F:.
+    +---Album
+    ¦   +---20040915
+    ¦   +---rub
+
+  En lancant les commandes:
+    BuildPWGPicture.cmd rub
+    BuildPWGPicture.cmd 20040915
+
+  on obtient:
+    C:\DOCUMENTS AND SETTINGS\RUBEN\BUREAU\FTP
+    +---rub
+    ¦   +---pwg_high
+    ¦   +---thumbnail
+    +------20040915
+    ¦   +---pwg_high
+    ¦   +---thumbnail
+
+Utilisation la plus simple:
+===========================
+  o Avoir toujours le même répertoire "Album" et toujours le même répertoire "FTP".
+  o Dans un autre répertoire "MesPhotos", avoir des sous-répertoires classés suivant son choix
+  o Faire les traitements préalables (non possible dans BuildPWGPicture) dans ces sous-répertoires
+  o Copier ses sous-répertoires dans le répertoire Album
+  o Lancer le script BuildPWGPicture.cmd en ligne de commande
+  o Tous les sous-répertoires dans le répertoire "FTP" sont prêts
+  o Supprimer tous les sous-répertoires du répertoire "Album"
+
+Exemple de AddOn:
+=================
+  - Suppression des EXIF:
+      > Installer exiv2 http://www.exiv2.org/download.html
+      > Créer un fichier HDAddOnFile.cmd dans le répertoire de BuildPWGPicture
+      > Ajouter dans le fichier la ligne suivante:
+        C:\exiv2\exiv2.exe -d e %1\*.JPG
Index: /extensions/BuildPWGPicture/Quoi de neuf.txt
===================================================================
--- /extensions/BuildPWGPicture/Quoi de neuf.txt	(revision 3321)
+++ /extensions/BuildPWGPicture/Quoi de neuf.txt	(revision 3321)
@@ -0,0 +1,58 @@
+// +-----------------------------------------------------------------------+
+// | BuildPWGPicture - a Windows batch command for PWG                     |
+// | Copyright (C) 2007-2008 Ruben ARNAUD - rub@phpwebgallery.net          |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+Version 1.0.6.0 [08-02-2009]:
+  Correction: Mauvaise lecture des arguments de la ligne de commande
+
+Version 1.0.5.0 [03-09-2007]:
+  Ajout:      Fichier COPYING
+  Correction: %% a été remplacé par % dans les paramètres, sinon les noms étaient doublés
+  Correction: Fichier index.php avec entête plus propre et sans appel direct à index.php
+  Correction: Le paramètre NormalMaxH passe de 350 à 512 comme valeur par défaut
+
+Version 1.0.4.0 [21-11-2006]:
+  Ajout:      Quoi de neuf.txt
+  Correction: Changement de la valeur par défaut à 100 de la qualité des images HD
+  Ajout:      Paramétrage des extensions des fichiers
+  Ajout:      Choix entre la conversation ou la suppression du répertoire des images HD
+  Ajout:      Suppression des répertoires destinations
+  Ajout:      Les noms des répertoires sont convertis en chemin étendu contenant uniquement des noms courts
+  Correction: Test Oui/Non ne sont plus sensible à la casse
+  Ajout:      Arrêt du traitement si les répertoires source et destination sont identiques
+  Ajout:      Arrêt du traitement source n'existe pas
+  Ajout:      Plus d'arguments en ligne possible (-DirSrc/-DirDest, -ParFile et tous les paramètres peuvent être surchargés)
+  Ajout:      Revue des fichiers d'aide
+  Ajout:      Exécution de AddOn
+  Ajout:      Exemple de AddOn (Suppression des EXIF)
+
+Version 1.0.3.0 [19-10-2006]:
+  Ajout:      Les images peuvent être renommées
+  Ajout:      Les images haute-définition peuvent être crées par convertion
+  Ajout:      Tous les options de convertions sont dans le fichier BuildPWGPicture.Params.txt
+  Correction: Suppression des métadonnées des miniatures
+  Ajout:      Les commentaires dans le fichier BuildPWGPicture.Params.txt sont meilleurs
+
+Version 1.0.2.0 [15-10-2006]:
+  Correction: OOuuupps, il y a avait une petite erreur quand on lancait le script sans paramètre.
+
+Version 1.0.1.0 [15-10-2006]:
+  Ajout:      Traitement tous les répertoires d'une seule passe.
+
+Version 1.0.0.0 [08-10-2006]:
+  Ajout:      Version initiale
Index: /extensions/BuildPWGPicture/ReadMe.txt
===================================================================
--- /extensions/BuildPWGPicture/ReadMe.txt	(revision 3321)
+++ /extensions/BuildPWGPicture/ReadMe.txt	(revision 3321)
@@ -0,0 +1,102 @@
+Fonctionnality:
+===============
+  From source directory, this tools allows you to build a ready structure for FTP transfer including thumbnails, normal, high definition pictures and index.php files.
+
+  XnView must be installed.
+
+  The +:
+    - mass treatment
+    - use of other line command program
+
+Installation:
+=============
+  1: XnView version Complete (Plugins & NConvert) must be installed http://xnview.com/
+  2: Copy filesBuildPWGPicture.cmd et BuildPWGPicture.Params.txt on your choice directory
+  3: Modify default parameters on file fichier BuildPWGPicture.Params.txt
+    => This 3 parameters must be correctly defined:
+         o DirXnView
+         o DirAlbum
+         o DirFTP
+       It's source and destination of build pictures
+  4: Copy file index.php in DirAlbum directory.
+     If exist file index.php in directory DirAlbum, this file will be copied in each directories.
+     It's allow to not list files contained in a directory.
+
+Usage:
+======
+  Syntax:
+    - All directories: BuildPWGPicture [-options] [-ParFile <File Name>]
+    - Selected Directory: BuildPWGPicture <Short Directory Name> [-DirDest <Full Directory Path>] [-options] [-ParFile <File Name>]
+    - Selected Directories src/dest: BuildPWGPicture -DirSrc <Full Directory Path> -DirDest <Full Directory Path> [-options] [-ParFile <File Name>]
+
+  Key:
+    - <Short Directory Name> : Directory on Album directory
+    - -DirSrc <Full Directory Path> : Source directory
+      Override computed Album directory name
+      Cannot be used with <Short Directory Name>
+    - -DirDest <Full Directory Path> : Destination directory
+      Override computed FTP directory name
+    - [-options] can be composed of all parameters defined in BuildPWGPicture.Params.txt
+      Override parameters defined in BuildPWGPicture.Params.txt
+      Each option is composed with 2 line arguments -<parameter name> and <parameter value>
+      Override before [-ParFile <File Name>]
+    - [-ParFile <File Name>] : Full name of parameters file
+      Override parameters defined in BuildPWGPicture.Params.txt
+      Override after [-options]
+
+  Examples:
+    BuildPWGPicture 
+    BuildPWGPicture -HDKeep N -TNQuality 70
+    BuildPWGPicture 20050816
+    BuildPWGPicture 20050816 -HDKeep N -TNQuality 70
+    BuildPWGPicture 20050816 -DirDest c:\temp\FTP -HDKeep N -TNQuality 70
+    BuildPWGPicture -DirSrc c:\temp\test -DirDest c:\temp\testII -HDKeep N -TNQuality 70
+
+Overview:
+=========
+  Pictures are copied or converted by XnView to source directory from high destination directory.
+  Pictures converted by XnView to high destination directory from "normal" destination directory.
+  Pictures converted by XnView to high destination directory from thumbnail destination directory.
+  index.php file are copied in all "FTP" directories, this file allow to avoid everybody to list contents.
+  Pictures in high destination directory must be deleted (by default, pictures are not deleted).
+  Different options of convertion or treatment are possible this execution of AddOn on each step.
+
+Examples:
+=========
+  Source:
+    F:.
+    +---Album
+    ¦   +---20040915
+    ¦   +---rub
+
+  Launch commandes:
+    BuildPWGPicture.cmd rub
+    BuildPWGPicture.cmd 20040915
+
+  Destination:
+    C:\DOCUMENTS AND SETTINGS\RUBEN\BUREAU\FTP
+    +---rub
+    ¦   +---pwg_high
+    ¦   +---thumbnail
+    +------20040915
+    ¦   +---pwg_high
+    ¦   +---thumbnail
+
+Most simple use:
+================
+  o Have always the same directory "Album" and the same directory "FTP".
+  o In other directory "MyImages", have sub-directories classified according to your choice
+  o Make prior treatments (not possible with BuildPWGPicture) in this sub-directories
+  o Copy this sub-directories in Album directory
+  o Double-click on shortcut icone defined on the top
+  o Launch script BuildPWGPicture.cmd on command line
+  o All sub-directories in "FTP" directory are ready
+  o Detele all sub-directories of "Album" directory
+
+Example de AddOn:
+=================
+  - Remove EXIF:
+      > Instal exiv2 http://www.exiv2.org/download.html
+      > Create file HDAddOnFile.cmd in BuildPWGPicture directory
+      > Add in file, this following line:
+        C:\exiv2\exiv2.exe -d e %1\*.JPG
Index: /extensions/BuildPWGPicture/What's new.txt
===================================================================
--- /extensions/BuildPWGPicture/What's new.txt	(revision 3321)
+++ /extensions/BuildPWGPicture/What's new.txt	(revision 3321)
@@ -0,0 +1,58 @@
+// +-----------------------------------------------------------------------+
+// | BuildPWGPicture - a Windows batch command for PWG                     |
+// | Copyright (C) 2007-2008 Ruben ARNAUD - rub@phpwebgallery.net          |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+Version 1.0.6.0 [08-02-2009]:
+  Fixed: Bad read of command line arguments
+
+Version 1.0.5.0 [03-09-2007]:
+  Added: COPYING file
+  Fixed: %% has been replaced by % in the parameters in order to avoid double name
+  Fixed: index.php file with best header and without direct call to index.php
+  Fixed: NormalMaxH parameter has been changed from 350 to 512 like default value
+
+Version 1.0.4.0 [21-11-2006]:
+  Added: What's new.txt
+  Fixed: Change default value picture HD quality to 100
+  Added: Parameterization of file extension
+  Added: Cant keep or remove picture HD directory after treatment
+  Added: Delete destinations directories
+  Added: Directory name are convert to expanded path contains short names only
+  Fixed: Test Yes/No are not case sensitive
+  Added: Stop treatment if source and destination directories are same
+  Added: Stop treatment if source directory don't exist
+  Added: More line arguments possibility (-DirSrc/-DirDest, -ParFile and all parameters can be override)
+  Added: Review of help files
+  Added: Execution of AddOn
+  Added: Example of AddOn (Remove EXIF)
+
+Version 1.0.3.0 [19-10-2006]:
+  Added: Pictures must be renamed
+  Added: High Definition pictures must be created by convertion
+  Added: All convert options are defined on file BuildPWGPicture.Params.txt
+  Fixed: Remove MetaData of thumbnail
+  Added: Comments on file BuildPWGPicture.Params.txt are best
+
+Version 1.0.2.0 [15-10-2006]:
+  Fixed: OOuuupps, there was a small mistake when the script was launched without parameters.
+
+Version 1.0.1.0 [15-10-2006]:
+  Added: Manage all the directories by one pass.
+
+Version 1.0.0.0 [08-10-2006]:
+  Added: Initial version
Index: /extensions/BuildPWGPicture/index.php
===================================================================
--- /extensions/BuildPWGPicture/index.php	(revision 3321)
+++ /extensions/BuildPWGPicture/index.php	(revision 3321)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
